org.apache.cayenne.merge

## Enum MergeDirection

- java.lang.Object
- - java.lang.Enum<MergeDirection>
  - - org.apache.cayenne.merge.MergeDirection

- All Implemented Interfaces:
    Serializable, Comparable<MergeDirection>

      public enum MergeDirection
      extends Enum<MergeDirection>

  Represent a merge direction that can be one of two. Either from the model to the db or from the db to the model.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `TO_DB`
    `TO_MODEL`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`
    `boolean` | `isToDb()`
    `boolean` | `isToModel()`
    `MergeDirection` | `reverseDirection()`
    `String` | `toString()`
    `static MergeDirection` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MergeDirection[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TO_DB

          public static final MergeDirection TO_DB

    - #### TO_MODEL

          public static final MergeDirection TO_MODEL

  - ### Method Detail

    - #### values

          public static MergeDirection[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MergeDirection c : MergeDirection.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MergeDirection valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getName

          public String getName()

    - #### isToDb

          public boolean isToDb()

    - #### isToModel

          public boolean isToModel()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<MergeDirection>`

    - #### reverseDirection

          public MergeDirection reverseDirection()

Copyright © 2001–2018 Apache Cayenne. All rights reserved.